import { ActivatedRoute } from "@angular/router";
import { AddressDto, TodoDto, TodoTemplateDto } from "@smallstack/axios-api-client";
import { ContextService } from "@smallstack/common-components";
import { NotificationService, TranslationStore } from "@smallstack/i18n-components";
import { RxCollectionService } from "@smallstack/typesystem-client";
import { MyTodoStore } from "@smallstack/todo-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface TodoDate {
    disabled?: boolean;
    statusText?: string;
    todoTemplate: TodoTemplateDto;
    startTime: number;
    endTime: number;
    todo?: TodoDto;
    overdue?: boolean;
    fadeOut?: boolean;
    invisible?: boolean;
}
export interface TodoDay {
    date: string;
    todoDates: TodoDate[];
    fadeOut?: boolean;
}
export declare class TodoAgendaWidgetComponent extends BaseWidgetComponent {
    private notificationService;
    private translationStore;
    private activatedRoute;
    private rxCollectionService;
    private contextService;
    private myTodoStore;
    protected agendaDays$: Observable<TodoDay[]>;
    constructor(notificationService: NotificationService, translationStore: TranslationStore, activatedRoute: ActivatedRoute, rxCollectionService: RxCollectionService, contextService: ContextService, myTodoStore: MyTodoStore);
    openGoogleMaps(address: AddressDto): void;
    protected createTodo(todo: TodoDto): Promise<void>;
    protected newTodoCreated(): void;
    private refreshTodoCollections;
    private getDisplayNameById;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoAgendaWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoAgendaWidgetComponent, "smallstack-todo-agenda-widget", never, {}, {}, never, never, true, never>;
}
