import { AxiosApiClient, ReplacementDto, TodoTemplateDto } from "@smallstack/axios-api-client";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { RxCollectionService } from "@smallstack/typesystem-client";
import { BaseWidgetComponent, FormComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { BehaviorSubject, Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class TodoTemplateOwnerReplacementEditorWidgetComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private rxCollectionService;
    private axiosApiClient;
    protected formComponent: FormComponent;
    protected replacement$: BehaviorSubject<ReplacementDto>;
    protected set replacement(replacement: ReplacementDto);
    protected get replacement(): ReplacementDto;
    protected currentOwnerFilter$: BehaviorSubject<string>;
    protected currentSearch$: BehaviorSubject<any>;
    protected customers$: Observable<any[]>;
    protected currentTodoTemplates$: Observable<TodoTemplateDto[]>;
    protected replacersTableColumns: string[];
    protected newReplacersTableColumns: string[];
    protected formSchema: SmallstackTypeSchema;
    protected checkedTodoTemplates: TodoTemplateDto[];
    protected manyReplacerId: string;
    protected allChecked: boolean;
    constructor(rxCollectionService: RxCollectionService, axiosApiClient: AxiosApiClient);
    handleSocketData(socketName: string, data?: unknown): Promise<any>;
    protected validate(): Promise<boolean>;
    protected createReplacements(): Promise<ReplacementDto>;
    protected toggleAll(event: Event): void;
    protected toggle(element: TodoTemplateDto): Promise<void>;
    protected isChecked(id: string): boolean;
    protected isAlreadyReplaced(todoTemplateId: string): boolean;
    protected addSearchFilter(filterName: string, filterValue: any): void;
    protected addReplacer(replacementId: string, todoTemplateId: string): void;
    protected addManyReplacers(): void;
    protected removeReplacer(targetId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoTemplateOwnerReplacementEditorWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoTemplateOwnerReplacementEditorWidgetComponent, "smallstack-todo-template-owner-replacement-widget", never, {}, {}, never, never, true, never>;
}
