import { TodoDto, WorklogDto } from "@smallstack/axios-api-client";
import { TranslationHelper } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import { MyWorklogStore, TodoStore } from "@smallstack/todo-components";
import { TodoConfiguration, TodoConfigurationService } from "@smallstack/todo-shared";
import { FrontendTypeRegistry } from "@smallstack/typesystem-client";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
interface ExpandedWorklog extends WorklogDto {
    todoRef: TodoDto;
}
export declare class WorklogWidgetComponent extends BaseWidgetComponent {
    protected myWorklogStore: MyWorklogStore;
    private notificationService;
    private translationHelper;
    private typeRegistry;
    private todoStore;
    protected worklogs$: Observable<ExpandedWorklog[]>;
    protected isLoading: boolean;
    protected todoConfiguration: TodoConfiguration;
    constructor(myWorklogStore: MyWorklogStore, notificationService: NotificationService, translationHelper: TranslationHelper, todoConfigurationService: TodoConfigurationService, typeRegistry: FrontendTypeRegistry, todoStore: TodoStore);
    deleteWorklog(worklog: ExpandedWorklog): () => Promise<void>;
    editWorklog(worklog: ExpandedWorklog): () => Promise<void>;
    getNormalizedDuration(duration: number): number;
    private getRoundedDuration;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorklogWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorklogWidgetComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
